import request from "@/utils/request";
import { Account_BaseUrl } from "@/api/config";
const baseURL = Account_BaseUrl + "/admin/shopSong";
const Api = {
  // 点歌页面地址
  url() {
    return request<any>({
      url: `${baseURL}/url`,
      method: "get",
    });
  },
  getList(params: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "get",
    });
  },
  get(id: Number | string) {
    return request<any>({
      url: `${baseURL}`,
      method: "get",
    });
  },
  add(data: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "post",
      data
    });
  },
  update(data: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "put",
      data
    });
  },
  delete(data: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "delete",
      data
    });
  }
};

export default Api;
